@ECHO OFF
@REM BEGINPROLOGUE************************************************/
@REM                                                             */
@REM MODULE: FRNODBDB.CMD                     VisualInfo         */
@REM                                                             */
@REM 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072  */
@REM     (C) Copyright IBM Corp. 1993, 1994, 1995, 1996.         */
@REM         All Rights Reserved.                                */
@REM         US Government Users Restricted Rights -             */
@REM         Use, duplication or disclosure restricted by GSA    */
@REM         ADP Schedule Contract with IBM Corp.                */
@REM                                                             */
@REM     Licensed Materials - Property of IBM                    */
@REM                                                             */
@REM                                                             */
@REM Date: January 1996                                          */
@REM                                                             */
@REM Status: Version 1 Release 1 Modification 0                  */
@REM                                                             */
@REM Description: frnodbdb.cmd - this command file is used to    */
@REM                             obtain database environment     */
@REM                             information                     */
@REM                                                             */
@REM Dependencies:                                               */
@REM This assumes the following:                                 */
@REM     there is a %FRNROOT%:\log subdirectory                  */
@REM     the library server database name is libsrvr2            */
@REM     the object server database name is objsrvr2             */
@REM                                                             */
@REM Restrictions:                                               */
@REM                                                             */
@REM                                                             */
@REM Notes:                                                      */
@REM  - Called by frnodbev.cmd                                   */
@REM                                                             */
@REM *ENDPROLOGUE**************************************************/
@ECHO off
if "%1" == "" exit
if "%1%" == "1" goto admn
if "%1%" == "2" goto ls
if "%1%" == "3" goto os
if "%1%" == "4" goto dirtyp
goto dbend
@rem
:admn
DBM  -C -O -R(%FRNROOT%\log\vidbadmn.rpt) get database manager configuration
goto dbend
@rem
:ls
DBM  -C -O -R(%FRNROOT%\log\vidbls.rpt) get database configuration for libsrvr2
goto dbend
:os
DBM  -C -O -R(%FRNROOT%\log\vidbos.rpt) get database configuration for objsrvr2
goto dbend
@rem
:dirtyp
dir %2  >> %FRNROOT%\log\frndbenv.txt
type %2 >> %FRNROOT%\log\frndbenv.txt
goto dbend
@rem
:dbend
