Digital Library is the IBM image-processing solution for a
client-server environment.
Digital Library offers three flexible installation choices:
(1) a stand-alone system that consists of all components installed
on a single personal computer running on OS/2, (2) a starter system
that includes two personal computers set up as a client and a
server on a local area network (LAN), and (3) a custom system
that includes any number of personal computers and IBM System/390
host computers on a LAN.

A core product in the IBM ImagePlus family, Digital Library offers
comprehensive image and information management capabilities that
you can tailor to meet the needs of your workgroup, department, or
entire enterprise.  You can choose to use the image-processing
application provided with Digital Library, or you can create your
own specialized applications by using the application programming
interfaces (APIs) and user exits provided with the TOOLKITS.

Select one of the following Digital Library systems:

Stand-alone System
   To install an entire Digital Library system on a single
   personal computer

Standard Client
   To install all of the components of a standard Digital Library
   client (library client, Image Services, Client Application,
   system administration program, system configuration utility, and
   other utilities) on a personal computer

Standard Server
   To install all of the components of a standard Digital Library
   server (Library Server for OS/2, Object Server for OS/2, configuration server,
   and list manager server) on a personal computer

Selectable Components
   To select from a list any of the Digital Library components
   to install on a personal computer

Software Developers Toolkit
   To install the optional toolkit, which provides application
   programmers with additional tools for developing applications
   to run on Digital Library

