@ECHO OFF
@REM BEGINPROLOGUE**************************************************/
@REM                                                               */
@REM MODULE: frnoinmk.cmd                                          */
@REM                                                               */
@REM Digital Library Version 1 - 5648-A08.                         */
@REM VisualInfo Version 2 Release 2.0 - 5697-250.                  */
@REM (C) Copyright IBM Corp. 1994,1996.  All Rights Reserved.      */
@REM                                                               */
@REM US Government Users Restricted Rights                         */
@REM Use, duplication or disclosure restricted by GSA ADP Schedule */
@REM Contract with IBM Corp.  Licensed Materials - Property of IBM */
@REM                                                               */
@REM                                                               */
@REM Date: October 1993                                            */
@REM                                                               */
@REM Status: Version 1 Release 1 Modification 0                    */
@REM                                                               */
@REM Description: frnoinmk.cmd - this command file is used to      */
@REM                           verify that prereqs are present     */
@REM                           to generate index classes           */
@REM                                                               */
@REM Dependencies:                                                 */
@REM Restrictions:                                                 */
@REM                                                               */
@REM                                                               */
@REM Notes:                                                        */
@REM  - addtional information may be provided here                 */
@REM                                                               */
@REM *ENDPROLOGUE***************************************************/



ECHO off

rem -------------------------------------------------
rem added this to stop hang in verify envi. routine
rem -------------------------------------------------
CMD /c /s stopdbm
ECHO Stop the database > frnoinvr.rjp

IF '%1' == '' GOTO :ERROR
IF '%2' == '' GOTO :ERROR
IF '%3' == '' GOTO :ERROR
IF '%4' == '' GOTO :ERROR

SET LIB=%3;%LIB%
SET LIB=%4;%LIB%
SET INCLUDE=%4;%INCLUDE%

CMD /c /s startdbm
ECHO Start the database >> frnoinvr.rjp

CMD /c /s ""sqlprep" %1.sqc %2 /B /I=CS /F=ISO 1>frnoinvr.log 2>frnoinvr.out"
IF ERRORLEVEL 1 GOTO :ERROR
ECHO splprep is done >> frnoinvr.rjp

CMD /c /s ""ICC" /C  /Sp1 /Gm+ /Fd- /Ge- /Gd+  /Fo%1.obj %1.C 1>>frnoinvr.log 2>>frnoinvr.out"
IF ERRORLEVEL 1 GOTO :ERROR
ECHO compilation is done >> frnoinvr.rjp

CMD /c /s ""ilink" /NOFREE /DE /CO /NOI /NOD /ALIGN:32 /PACKCODE /PACKDATA /EXEPACK %1,%1.dll,NUL,sql_dyn+frnococl,%1 1>>frnoinvr.log 2>> frnoinvr.out"
IF ERRORLEVEL 1 GOTO :ERROR
ECHO linking is done >> frnoinvr.rjp

CMD /c /s ""sqlbind" %1.bnd %2 /I=CS /F=ISO 1>>frnoinvr.log 2>>frnoinvr.out"
IF ERRORLEVEL 1 GOTO :ERROR
ECHO binding is done >> frnoinvr.rjp
goto :END

:ERROR
ECHO ERROR >> frnoinvr.rjp
goto :END

:END
CMD /c /s stopdbm
ECHO Stop the database >> frnoinvr.rjp
ECHO Verify successfully >> frnoinvr.rjp
