@ECHO OFF
@REM BEGINPROLOGUE************************************************/
@REM                                                             */
@REM MODULE: FRNOLLCC.cmd                      VisualInfo        */
@REM                                                             */
@REM     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
@REM     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
@REM         US Government Users Restricted Rights -             */
@REM         Use, duplication or disclosure restricted by GSA    */
@REM         ADP Schedule Contract with IBM Corp.                */
@REM                                                             */
@REM     Licensed Materials - Property of IBM                    */
@REM                                                             */
@REM                                                             */
@REM Date: October 1993                                          */
@REM                                                             */
@REM Status: Version 1 Release 1 Modification 0                  */
@REM                                                             */
@REM Description: FRNOLLCC.CMD - this command file is used to    */
@REM                           import 37 new data formats into   */
@REM                           the library server database       */
@REM                                                             */
@REM System      : IBM PS/2                                      */
@REM OS          : OS/2 2.1                                      */
@REM Compiler    :                                               */
@REM Dependencies:                                               */
@REM Restrictions:                                               */
@REM                                                             */
@REM                                                             */
@REM Notes:                                                      */
@REM  - To run this command file:                                */
@REM    %1 -->   Database Name                                   */
@REM    %2 -->   VisualInfo installation directory              */
@REM                                                             */
@REM    For example:                                             */
@REM                                                             */
@REM    FRNOLLCC LIBSRVR2 C:\FRNV1R0                             */
@REM                                                             */
@REM *ENDPROLOGUE**************************************************/

STARTDBM
CALL DBM IMPORT TO %1 FROM %2\BIND\FRN0001A.IXF OF IXF MODIFIED BY FORCEIN INSERT INTO AVT00001 MESSAGES %2\BIND\FRN0001A.MSG
CALL DBM IMPORT TO %1 FROM %2\BIND\FRNITEMA.IXF OF IXF MODIFIED BY FORCEIN INSERT INTO SBTITEMS MESSAGES %2\BIND\FRNITEMA.MSG
