
/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnoicxt.h                    VisualInfo            */
/*                                                             */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/* Date: July 1993                                             */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnoicxt.h - this include is used by programs  */
/*                      for interchange import user exits      */
/*                                                             */
/* System      : IBM PS/2                                      */
/* OS          : OS/2 2.0                                      */
/* Compiler    : C Set/2                                       */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Change History:                                             */
/*                                                             */
/* Notes:                                                      */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#ifdef __cplusplus
     extern "C" {
#endif

typedef struct _INTMAPSTRUCT
{
CHAR       szSourceName[SIM_ATTR_NAME_LENGTH+1];
CHAR       szTargetName[SIM_ATTR_NAME_LENGTH+1];
}          INTMAPSTRUCT,
           *PINTMAPSTRUCT;

ULONG _Optlink Ip2ImportSetupAttrExit(HSESSION hSession,
                                      BOOL    *fUserAttr,
                                      BOOL    *fIndexClass,
                                      ULONG   ulIndex,
                                      USHORT  *pusNewID,
                                      USHORT  *pusIndexClass,
                                      PINTCIFHEADER   pCIFHeader,
                                      PINTCIUDATALIST pCIUData);
ULONG _Optlink Ip2ImportAttrExit(HSESSION hSession,
                                 PSZ    pszInputAttrName,
                                 PINTCIFHEADER   pCIFHeader,
                                 PSZ    pszOutputAttrName,
                                 BOOL  *pfAttrMatch,
                                 BOOL  *pfBypassAttrTypeCheck);

ULONG _Optlink Ip2ImportClassExit(HSESSION hSession,
                                  PSZ    pszInputClassName,
                                  PSZ    pszOutputClassName,
                                  BOOL  *pfClassMatch);

#ifdef __cplusplus
     }
#endif

