/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnpaucf.h                       VisualInfo         */
/*                                                             */
/* 5621-326 (C) Copyright IBM Corp. 1993,1994.                 */
/* All Rights Reserved.                                        */
/*                                                             */
/* US Government Users Restricted Rights                       */
/* - Use, duplication or disclosure                            */
/* restricted by GSA ADP Schedule Con-                         */
/* tract with IBM Corp.                                        */
/*                                                             */
/* Licensed Materials - Property of IBM                        */
/*                                                             */
/*                                                             */
/* Date: May, 1993                                             */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnpaucf.h - this header file contains the     */
/*                           function prototypes for the       */
/*                           configuration data init and       */
/*                           terminate functions.              */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*                                                             */
/*ENDPROLOGUE***************************************************/

/*----------------------------------------------------------------------------*/
/* This compiler directive is to allow C++ compilers to use this header       */
/*----------------------------------------------------------------------------*/
#ifdef __cplusplus
   extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* This compiler directive is to insure this header is only included once     */
/*----------------------------------------------------------------------------*/
#ifndef FRNPAUCF
#define FRNPAUCF 1

/*----------------------------------------------------------------------------*/
/* Prototypes for the configuration data initialization and termination funcs.*/
/*----------------------------------------------------------------------------*/

ULONG SIMENTRY Ip2InitAuCnf( HSESSION, /* SB Session Handle                   */
                             PSZ,      /* Userid                              */
                             HWND,     /* Window Handle to disp error message */
                             HAB,      /* Anchor Block Handle                 */
                             USHORT,   /* Message Id                          */
                             PSZ );    /* Library Server Name                 */

ULONG SIMENTRY Ip2TermAuCnf ( PSZ );   /* Userid                              */

/*----------------------------------------------------------------------------*/
/* This compiler directive is to insure this header is only included once     */
/*----------------------------------------------------------------------------*/
#endif

/*----------------------------------------------------------------------------*/
/* This compiler directive is to allow C++ compilers to use this header       */
/*----------------------------------------------------------------------------*/
#ifdef __cplusplus
   }
#endif

