//========================================================================*
//                                                                        *
//     FILE - Deleteold.h                                                 *
//                                                                        *
//     DESCRIPTION:     Delete Old Application includes                   *
//                                                                        *
// 5697-250                                                               *
// Copyright (C) International Business Machines Corp., 1993 - 1995.      *
//                                                                        *
// DISCLAIMER OF WARRANTIES:                                              *
// -------------------------                                              *
// The following [enclosed] code is sample code created by IBM            *
// Corporation.  This sample code is not part of any standard IBM product *
// and is provided to you solely for the purpose of assisting you in the  *
// development of your applications.  The code is provided "AS IS",       *
// without warranty of any kind.  IBM shall not be liable for any damages *
// arising out of your use of the sample code, even if they have been     *
// advised of the possibility of such damages.                            *
//                                                                        *
//========================================================================*

#define IS_CLASSNAME               "DELETOLD"

#define CLASS_SAMP                  9999

#define IDM_ACTIONBAR                200

#define IDM_PROCESS                  300
#define IDM_LOGON                    310
#define IDM_SEARCH                   330
#define IDM_DISPLAY                  350
#define IDM_CLOSE                    360
#define IDM_OPTIONS                  370
#define IDM_VERIFY                   380

#define IDD_EXAMPLE                  331
#define DLG_START                    334
#define DLG_START_TEXT               335
#define DLG_INDEX                    336
#define DLG_INDEX_TEXT               337


// user defined messages
#define USER_LOW_OPEN       ( WM_USER + 10 )
#define USER_LOW_DISPLAY    ( WM_USER + 20 )
#define USER_LOW_CLOSE      ( WM_USER + 30 )

// Icon defines

#define SAMPICON            0x1000


// System define

#define INCL_WIN
#define INCL_GPI

#define INCL_DOSPROCESS
#define INCL_DOSMODULEMGR

#define INCL_DOSMEMMGR
#define INCL_DOSINFOSEG
#define INCL_DOSPROCESS
#define INCL_DOSSEMAPHORES

#define INCL_DEV
#define INCL_BASE

#define INCL_WINSYS
#define INCL_WINSTDFILE
#define INCL_WINHELP
#define INCL_WININPUT
#define INCL_WINMENUS
#define INCL_WINDIALOGS
#define INCL_WINFRAMEMGR
#define INCL_WINPOINTERS
#define INCL_WINWINDOWMGR
#define INCL_WINMESSAGEMGR
#define INCL_WINRECTANGLES
#define INCL_WINSCROLLBARS
#define INCL_WINSWITCHLIST
#define INCL_WINENTRYFIELDS


#define EXITPGM                       1
#define NOEXIT                        0

#define ONE_MINUTE                 60000L

#define MAX_SEARCH_TRIES              10       /* 10 minutes */


#define RcChk(exp,ulrc,text,crit)\
   {\
      if((exp))\
      {\
        RecordError( ulrc, text, crit );\
      }\
   }


