######################################################################
# 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072         #
#           (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved. #
#               US Government Users Restricted Rights -              #
#               Use, duplication or disclosure restricted by GSA     #
#               ADP Schedule Contract with IBM Corp.                 #
#                                                                    #
#           Licensed Materials - Property of IBM                     #
#                                                                    #
#********************************************************************#
#                                                                    #
# Makefile for FFST Alerts User Exit:                                #
#              - FRNOUTFX.DLL                                        #
#              - FRNOUTFX.LIB                                        #
#                                                                    #
######################################################################
!INCLUDE frnocomk.inc

#Ŀ
# Objects, libraries and definition file                              
#
OBJS = $(OBJDIR)\FRNOUTFX.OBJ

LIBS = $(LIBDIR)\FRNOCOMN.LIB

DEF  = $(SRCDIR)\FRNOUTFX.DEF

#Ŀ
# Dependencies                                                        
#
FRNP_DEP     = {$(INCLUDES);}FRNPTYPE.H  {$(INCLUDES);}FRNPERR.H \
               {$(INCLUDES);}FRNOUTFX.H

#Ŀ
# Main Target Rule                                                    
#
ALL  : $(BINDIR)\FRNOUTFX.DLL $(LIBDIR)\FRNOUTFX.LIB

#Ŀ
# Rules                                                               
#
$(BINDIR)\FRNOUTFX.DLL : $(OBJS) $(SRCDIR)\FRNOUTFX.DEF FRNOUTFX.MAK
        $(DO_LINK)

$(LIBDIR)\FRNOUTFX.LIB : $(DEF)
        IMPLIB $(LIBDIR)\FRNOUTFX.LIB $(SRCDIR)\FRNOUTFX.DEF

$(OBJDIR)\FRNOUTFX.OBJ : $(SRCDIR)\FRNOUTFX.C $(FRNP_DEP)
