######################################################################
# 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072         #
#           (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved. #
#               US Government Users Restricted Rights -              #
#               Use, duplication or disclosure restricted by GSA     #
#               ADP Schedule Contract with IBM Corp.                 #
#                                                                    #
#           Licensed Materials - Property of IBM                     #
#                                                                    #
#********************************************************************#
#                                                                    #
# Makefile for Library Server User-Defined Static Queries:           #
#              - FRNOLLUQ.DLL                                        #
#              - FRNOLLUQ.LIB                                        #
#                                                                    #
######################################################################
!INCLUDE frnocomk.inc

#Ŀ
# Compile commands for regular and migration compiles                 
#
PRECOMPILE_MIG = $(CC) /Pd /Ss /Sm /DPRECOMPILE_ONLY /DSQLCODE /DES32TO16 /I $(INCLUDES) $(SRCDIR)\$(@B).ccc > $@

SQLPREP_MIG = SQLPREP $(OBJDIR)\$(@B).sqc $(LBLS_DB) /B=$(OBJDIR)\$(@B).bnd

#Ŀ
# .OBJ files needed for linking 
#
OBJS = $(OBJDIR)\FRNPLLUQ.OBJ

DEF  = $(SRCDIR)\FRNOLLUQ.DEF

#Ŀ
# .LIB files needed for linking 
#
LIBS = SQL_DYN.LIB \
       DSQCI.LIB

#Ŀ
# Main Target Rule                                                    
#
ALL: $(BINDIR)\FRNOLLUQ.DLL $(LIBDIR)\FRNOLLUQ.LIB

#Ŀ
# Dependencies for FRNOLLUQ.DLL 
#
$(BINDIR)\FRNOLLUQ.DLL: $(OBJS) $(SRCDIR)\FRNOLLUQ.DEF
        $(DO_LINK)

#Ŀ
# Dependencies for FRNOLLUQ.LIB 
#
$(LIBDIR)\FRNOLLUQ.LIB: $(SRCDIR)\FRNOLLUQ.DEF
        IMPLIB $(LIBDIR)\FRNOLLUQ.LIB $(SRCDIR)\FRNOLLUQ.DEF

#Ŀ
# Dependencies for FRNPLLUQ.OBJ 
#
$(OBJDIR)\frnplluq.obj: $(OBJDIR)\frnplluq.c

$(OBJDIR)\frnplluq.c: $(OBJDIR)\frnplluq.sqc
   SQLPREP $(OBJDIR)\$(@B).sqc $(LBLS_DB) /B=$(OBJDIR)\frnolluq.bnd

$(OBJDIR)\frnplluq.sqc: $(SRCDIR)\frnplluq.ccc
   $(PRECOMPILE_MIG)
