#Ŀ
# 5697-250, 5621-326, 5621-326, 5655-036, 5622-213, 5655-071          
# (C) Copyright IBM Corp. 1993, 1996.  All Rights Reserved.           
#                                                                     
# US Government Users Restricted Rights - Use, duplication or         
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.   
#                                                                     
# Licensed Materials - Property of IBM                                
#
!INCLUDE frnocomk.inc

#Ŀ
# Objects, libraries and definition file                              
#
OBJS = $(OBJDIR)\frnouecc.obj

LIBS = $(LIBDIR)\fiwsenv.lib  \
       $(LIBDIR)\fiwsws.lib   \
       $(LIBDIR)\frnolg.lib

DEF  = $(SRCDIR)\frnouecc.def

#Ŀ
# Dependencies                                                        
#
FIWS_DEP  = $(SB_ROOT)\INC\fiwsenv.h      \
            $(SB_ROOT)\INC\fiws.h         \
            $(SB_ROOT)\INC\fiwsxcc.h

FRNOUECC_DEP = $(SB_ROOT)\INCLUDE\frnolg.h   \
               $(SB_ROOT)\INCLUDE\frnpauer.h \
               $(SB_ROOT)\INCLUDE\frnpvw.h   \
               $(FIWS_DEP)                   \
               frnouecc.mak

#Ŀ
# Rules                                                               
#
ALL :   $(BINDIR)\frnouecc.dll $(LIBDIR)\frnouecc.lib

$(BINDIR)\frnouecc.dll : $(OBJS) $(LIBS) $(DEF) frnouecc.mak
        $(DO_LINK)

$(LIBDIR)\frnouecc.lib : $(DEF)
        $(MAKELIB)

$(OBJDIR)\frnouecc.obj : $(SRCDIR)\frnouecc.c $(FRNOUECC_DEP)
