/*$Revision:   1.10  $ $Date:   17 Mar 1994 10:28:14  $ $Author:   RAINE  $*/
/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: FRNOICFP.H                    VisualInfo            */
/*                                                             */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: January 1993                                          */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnoicfp.h - this module is a header file      */
/*              for function prototypes                        */
/*                                                             */
/* Dependencies: None                                          */
/* Restrictions:                                               */
/*                                                             */
/* Entry Points:                                               */
/* Change History:                                             */
/* Notes:                                                      */
/*  - the DCR/PTR number should appear in a comment            */
/*    near the change                                          */
/*  - function names should have Capital letters as            */
/*    demonstrated above                                       */
/*                                                             */
/*ENDPROLOGUE***************************************************/


#ifdef __cplusplus
     extern "C" {
#endif

extern unsigned long _Optlink Ip2OpenExportCIF(
            PSZ        pszCIFName,
            ULONG      ulCCSID,
            PSZ        pszLanguage,
            PSZ        pszSourceType,
            PSZ        pszSourceID,
            PSZ        pszSinkType,
            PSZ        pszSinkID,
            ULONG      ulNumAttr,
            ULONG      ulNumClass,
            PINTUSERATTRINFOSTRUCT pAttributes,
            PINTINDCLASSINFOSTRUCT pClasses,
            PRCSTRUCT  pRC);
ULONG _Optlink Ip2OpenExportCIU (HCIF hCIF,
                                 PRCSTRUCT  pRC);

extern unsigned long _Optlink Ip2InsExportItem(
            HCIF                    hCIF,
            USHORT                  usType,
            ULONG                   ulNumNotes,
            ULONG                   ulNumAttrs,
            PINTNOTEINFOSTRUCT      pNotes,
            PINTITEMATTRINFOSTRUCT  pAttr,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink Ip2InsExportObject(
            HCIF                    hCIF,
            BOOL                    fSubDoc,
            ULONG                   ulNumAttr,
            PINTITEMATTRINFOSTRUCT  pAttr,
            PSZ                     pszObjectFileName,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink  Ip2InsExportDuplicate(
            HCIF                    hCIF,
            ULONG                   ulItemUID,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink Ip2EndExportItem(
            HCIF                    hCIF,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink Ip2CloseExportCIF(
            HCIF                    hCIF,
            PRCSTRUCT               pRC);

ULONG _Optlink Ip2CloseExportCIU (HCIF hCIF,
                                 PRCSTRUCT  pRC);

extern unsigned long _Optlink  Ip2OpenImportCIF(
            PSZ                     pszCIFFileName,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink  Ip2ReadImportHeader(
            HCIF                    hCIF,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink  Ip2ReadImportCIU(
            HCIF                    hCIF,
            PRCSTRUCT               pRC);

extern unsigned long _Optlink  Ip2CloseImportCIF(
            HCIF                    hCIF,
            PRCSTRUCT               pRC);
  ULONG  _Optlink Ip2Export(HSESSION              hSession,
                            PSZ                   pszCIFFileName,
                            ULONG                 ulCCSID,
                            PSZ                   pszLanguage,
                            PSZ                   pszSourceType,
                            PSZ                   pszSourceID,
                            PSZ                   pszSinkType,
                            PSZ                   pszSinkID,
                            ULONG                 ulItemCount,
                            PINTEXPORTITEMSTRUCT  pItemList,
                            PRCSTRUCT             prcStruct);

  ULONG  _Optlink Ip2ExportToCIF(HSESSION hSession,
                                 HCIF hCIF,
                                 PITEMID pItemID,
                                 PRCSTRUCT rcStruct);
  ULONG  _Optlink Ip2Import(HSESSION hSession,
                            PSZ pszCIFFileName,
                            BOOL fCreateFlag,
                            PRCSTRUCT prcStruct);
  ULONG  _Optlink Ip2ImportCIFHeader(HSESSION hSession,
                                   PSZ pszCIFFileName,
                                   BOOL fCreateFlag,
                                   PRCSTRUCT prcStruct);
  ULONG  _Optlink Ip2ImportCIUs(HSESSION hSession,
                                PSZ pszCIFFileName,
                                PRCSTRUCT prcStruct);

#ifdef __cplusplus
     }
#endif
