
/*BEGINPROLOGUE*************************************************/
/*                                                             */
/*                                                             */
/* MODULE: frnoicsp.h                    VisualInfo            */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Programmer: M. S. RAINE                                     */
/*                                                             */
/* Date: July 1993                                             */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnoicsp.h - this include is used by programs  */
/*                      for interchange                        */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Change History:                                             */
/*                                                             */
/* Notes:                                                      */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#ifdef __cplusplus
     extern "C" {
#endif


  ULONG  _Optlink get_export_item_attributes(
                                      HSESSION hSession,
                                      HCIF     hCIF,
                                      PITEMID pItemID,
                                      USHORT  usItemType,
                                      USHORT  usIndexClass,
                                      ULONG *pulNumAttrs,
                                      PRCSTRUCT prcStruct);
  ULONG  _Optlink get_export_item_notes(HSESSION hSession,
                                        HCIF     hCIF,
                                 PITEMID pItemID,
                                 ULONG *pulNumNotes,
                                 PRCSTRUCT prcStruct);
  USHORT _Optlink process_export_folder(HSESSION hSession,
                                 PITEMID pItemID,
                                 HCIF hCIF,
                                 PRCSTRUCT prcStruct);
  USHORT _Optlink process_export_document(HSESSION hSession,
                                 PITEMID pItemID,
                                 HCIF hCIF,
                                 PRCSTRUCT prcSTruct);
//  USHORT _Optlink freeup_export_setup_mallocs(HCIF  hCIF,
//                                              ULONG ulNumAttrs,
//                                              ULONG ulNumClasses);
//  USHORT _Optlink freeup_export_mallocs(HCIF  hCIF,
//                                        ULONG ulNumAttrs,
//                                        ULONG ulNumNotes);
  ULONG  _Optlink validate_import_attributes(HSESSION hSession,
                                      HCIF hCIF,
                                      BOOL fCreateFlag,
                                      PINTCIFHEADER pCIFHeader,
                                      PINTUSERATTRINFOSTRUCT pCIFAttr,
                                      PRCSTRUCT prcStruct);
  ULONG  _Optlink validate_import_classes(HSESSION hSession,
                                   HCIF hCIF,
                                   BOOL fCreateFlag,
                                   PINTCIFHEADER pCIFHeader,
                                   PINTINDCLASSINFOSTRUCT pCIFICls,
                                   PRCSTRUCT prcStruct);
  ULONG  _Optlink process_CIF_for_import(HSESSION hSession,
                              HCIF hCIUList,
                              PINTCIFHEADER   pCIFHeader,
                              PINTCIUDATALIST pCIUData,
                              PRCSTRUCT prcStruct);
  ULONG  _Optlink call_FFST(ULONG ulAPI_RC,
                            ULONG ulFailRC,
                            HCIF  hCIF,
                            PRCSTRUCT prcStruct);
  ULONG  _Optlink get_export_item_info(HSESSION hSession,
                                       HCIF     hCIF,
                                 PITEMID pItemID,
                                 ULONG   *pulAttrIndex,
                                 ULONG   *pulClassIndex,
                                 PRCSTRUCT prcStruct);
  USHORT _Optlink setup_export_CIF_Header(HSESSION hSession,
                                          HCIF   hCIF,
                                 PITEMID pItemID,
                                 ULONG  *pulNumAttrs,
                                 ULONG  *pulNumClasses,
                                 PRCSTRUCT prcStruct);
  ULONG  _Optlink AddClassToClassTables(HSESSION hSession,
                                        HCIF  hCIF,
                                        USHORT usClassID,
                                        PRCSTRUCT prcStruct);

  void ebcdic2ascii (PSZ pszString, const UINT length, HCIF hCIF);

  void copybytes (char *pTarget, char *pSource, size_t cnt);

#ifdef __cplusplus
     }
#endif
