/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnolgar.h                       VisualInfo         */
/*                                                             */
/* 5697-250, 5621-326                                          */
/* (C) Copyright IBM Corp. 1993,1995.                          */
/* All Rights Reserved.                                        */
/*                                                             */
/* US Government Users Restricted Rights                       */
/* - Use, duplication or disclosure                            */
/* restricted by GSA ADP Schedule Con-                         */
/* tract with IBM Corp.                                        */
/*                                                             */
/* Licensed Materials - Property of IBM                        */
/*                                                             */
/*                                                             */
/* Date: October 1992                                          */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnolgar.h - this include is used by the logon */
/*                       building block and its resource DLL   */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - addtional information may be provided here               */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#ifdef __cplusplus
   extern "C" {
#endif

#ifndef FRNOLGAR
#define FRNOLGAR 1

#define KDMS_HELPTABLE     1
#include <os2def.h>

/*
** Help res IDs
*/
#define MISSING_ID                         51012

#define  IDH_LOG_RESOURCE                  51000
#define  IDH_LOGON                         51001
#define  IDH_LOGON_DL_CHGPASSWORD          51250
#define  IDH_LG_SELECTED                   51002
#define  IDH_OPEN                          51051
#define  IDH_OPEN_ICON                     51010
#define  IDH_OPEN_DETAILS                  51015
#define  IDH_VIEW                          51004
#define  IDH_VIEW_ICON                     51005
#define  IDH_VIEW_DETAILS                  51008
#define  IDH_LOG_TOOLS                     51042
#define  IDH_LOG_BSEARCH                   51022
#define  IDH_LOG_BSCAN                     51031
#define  IDH_LOG_ASCAN                     51032
#define  IDH_LOG_IMPORT                    51030
#define  IDH_LOG_OPTIONS                   51021
#define  IDH_LOG_INDEX_CLASS               51389
#define  IDH_LOG_PREFERENCES               51029
#define  IDH_LOG_OPEN_BEHAVIOR             51390
#define  IDH_LOG_EXIST_WIN                 51392
#define  IDH_LOG_NEW_WIN                   51393
#define  IDH_LOG_AUTO_CLOSE                51391
#define  IDH_LOG_HELP                      10530
#define  IDH_LOG_HELPINDEX                 10531
#define  IDH_LOG_GENERALHELP               10532
#define  IDH_LOG_USINGHELP                 10533
#define  IDH_LOG_KEYSHELP                  10541
#define  IDH_LOG_KEYSHELP_ITSELF           10542
#define  IDH_LOG_HOWTO                     10540
#define  IDH_LOG_HOWTO_ITSELF              51337
#define  IDH_LOG_HELPABOUT                 10534
#define  IDH_LOG_FILEROOM                  51270
#define  IDH_LOG_WORKBASKETGEN             51271
#define  IDH_LOG_SCANNER                   52388
#define  IDH_LOG_PRINT                     51273
#define  IDH_LOG_SENDMSG                   53200     // Mail Manager
#define  IDH_LOG_RECEIVEMAIL               53201     // Mail Manager

#define  IDH_LOGON_USERID                  52211
#define  IDH_LOGON_PASSWORD                52212
#define  IDH_LOGON_CHGPASSWORD             52214
#define  IDH_LIBSVR_NAME                   52216
#define  IDH_LOGON_OK                      10701
#define  IDH_LOGON_CANCEL                  10702
#define  IDH_LOGON_HELP                    10703

#define  IDH_LOGON_NEWPASSWORD             51251
#define  IDH_LOGON_VRYPASSWORD             51252
#define  IDH_LOGON_CHG_OK                  52320
#define  IDH_LOGON_CHG_CANCEL              10702
#define  IDH_LOGON_CHG_HELP                10703

#endif

#ifdef __cplusplus
   }
#endif

