/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnoueuc.h                       VisualInfo         */
/*                                                             */
/* 5621-326 (C) Copyright IBM Corp. 1993,1994.                 */
/* All Rights Reserved.                                        */
/*                                                             */
/* US Government Users Restricted Rights                       */
/* - Use, duplication or disclosure                            */
/* restricted by GSA ADP Schedule Con-                         */
/* tract with IBM Corp.                                        */
/*                                                             */
/* Licensed Materials - Property of IBM                        */
/*                                                             */
/*                                                             */
/* Date: October 1992                                          */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnoueuc.h - this include is used by the       */
/*                       uppercasing save and search exits     */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - addtional information may be provided here               */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#ifdef __cplusplus
   extern "C" {
#endif

#define IDD_SR_SEARCH               5500
#define IDD_SR_TEXT_SEARCHING       5501
#define IDD_SR_TEXT_DOTS            5502
#define IDD_SR_BUTTON_CLOSE         5503
#define IDD_SR_BUTTON_STOP          5504
#define IDD_SR_BUTTON_HELP          5505
#define SAVE_EXIT_ERROR             5506

#define MAX_ERROR_STRING            80
#define MAX_DOT_TEXT                40
#define SR_EXIT_TIMER_ID            TID_USERMAX - 1
#define SR_EXIT_SEARCH_DONE         WM_USER + 5507


typedef struct _SEARCHEXITSTRUCT
   {
     HSESSION hSession;
     USHORT   usTypeFilter;
     BITS     fWipFilter;
     USHORT   usSuspendFilter;
     USHORT   usIndexClass;
     USHORT   usNumCriteria;
     PLIBSEARCHCRITERIASTRUCT  pCriteria;
   } SEARCHEXITSTRUCT, *PSEARCHEXITSTRUCT;

SHORT   EXPENTRY   SaveToUpper( HWND,
                                USEREXITSTRUCT,
                                PSZ *,
                                PUSHORT *);

MRESULT EXPENTRY   SearchingDlgProc( HWND, 
                                     ULONG, 
                                     MPARAM, 
                                     MPARAM);

ULONG   EXPENTRY   SearchToUpper( HSESSION,
                                  HWND,
                                  PSZ,
                                  USHORT,
                                  BITS,
                                  USHORT,
                                  USHORT,
                                  USHORT,
                                  PLIBSEARCHCRITERIASTRUCT,
                                  PITEMID);

APIRET  EXPENTRY   UpperCase( ULONG, 
                              PSZ);

