/*BEGINPROLOGUE**************************************************************/
/*                                                                          */
/* MODULE: FRNOUTFX.H                   VisualInfo                          */
/*                                                                          */
/* COPYRIGHT:                                                               */
/* ----------                                                               */
/* 5697-250 5621-326                                                        */
/* Copyright (C) International Business Machines Corp., 1993, 1995.         */
/*                                                                          */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following [enclosed] code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/*                                                                          */
/* Status: Version 1 Release 1 Modification 0                               */
/*                                                                          */
/* Description : FRNOUTFX.H   - Header for the First Failure Support        */
/*               Technology user exit for defining system alerts.           */
/*               This function is passed the Message ID and other values    */
/*               that indicate what action should be taken                  */
/*                                                                          */
/*                                                                          */
/* Notes:                                                                   */
/*                                                                          */
/*ENDPROLOGUE****************************************************************/

#include "frnptype.h"

#define  NO_ALERT_AND_NO_LOG 2
#define  LOG_AND_ALERT       1
#define  LOG_AND_NO_ALERT    0


ULONG SIMENTRY Ip2UtAlertExit(ULONG ulMsgID, ULONG ulState, ULONG hFFST);
