/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: FRNPLLUE.H                       VisualInfo         */
/*                                                             */
/*     5697-250, 5655-A01, 5655-A02,                           */
/*     5621-326, 5655-036, 5622-213, 5655-071 and 5655-072 (C) */
/*         Copyright IBM Corp. 1993,1996. All Rights Reserved. */
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: May  1993                                             */
/*                                                             */
/* Status: Version 2 Release 1 Modification 0                  */
/*                                                             */
/* Description: FRNPLLUE.H - this include is used by programs  */
/*                           calling the Library Client Access */
/*                           Control Exits                     */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*                                                             */
/*ENDPROLOGUE***************************************************/


#ifdef __cplusplus
     extern "C" {
#endif

#ifndef FRNPLLUE_INCLUDED

#define FRNPLLUE_INCLUDED

/***************************************************/
/* FUNCTION PROTOTYPES                             */
/***************************************************/

extern USHORT LibACUserExitOne( CHAR       achSessionPatron[26],  /* input  */
                                UCHAR      uchGeneralPrivs[50],   /* input  */
                                SHORT      sPatronSecurity,       /* input  */
                                USHORT     usAPIClass,            /* input  */
                                BYTE       bAPIAction,            /* input  */
                                BYTE       bRefMonDecision,       /* input  */
                                USHORT     bRefMonDecReason,      /* input  */
                                CHAR       achWorkstationID[17],  /* input  */
                                BYTE       *pbACDirective );      /* output */

extern USHORT LibACUserExitTwo( CHAR       achSessionPatron[26],  /* input  */
                                UCHAR      uchGeneralPrivs[50],   /* input  */
                                SHORT      sPatronSecurity,       /* input  */
                                USHORT     usAPIClass,            /* input  */
                                BYTE       bAPIAction,            /* input  */
                                BYTE       bRefMonDecision,       /* input  */
                                USHORT     bRefMonDecReason,      /* input  */
                                BYTE       bInfoType,             /* input  */
                                CHAR       achItemID[16],         /* input  */
                                SHORT      sViewID,               /* input  */
                                CHAR       achItemOwner[26],      /* input  */
                                CHAR       achViewOwner[26],      /* input  */
                                SHORT      sItemSecurity,         /* input  */
                                SHORT      sViewSecurity,         /* input  */
                                SHORT      sItemFlags,            /* input  */
                                SHORT      sItemUserFlags,        /* input  */
                                SHORT      sViewFlags,            /* input  */
                                UCHAR      uchItemPrivs[50],      /* input  */
                                UCHAR      uchViewPrivs[50],      /* input  */
                                CHAR       achWorkstationID[17],  /* input  */
                                BYTE       *pbACDirective );      /* output */

#endif


#ifdef __cplusplus
     }
#endif
