#*************************************************************`****************
#
# Make file for FRNOEXWF.EXE                        ImagePlus VisualInfo
#
#******************************************************************************
#
#  COPYRIGHT:
#  ----------
#  5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072
#  Copyright (C) International Business Machines Corp., 1993, 1995.
#
#
#  DISCLAIMER OF WARRANTIES:
#  -------------------------
#  The following [enclosed] code is sample code created by IBM
#  Corporation.  This sample code is not part of any standard IBM product
#  and is provided to you solely for the purpose of assisting you in the
#  development of your applications.  The code is provided "AS IS",
#  without warranty of any kind.  IBM shall not be liable for any damages
#  arising out of your use of the sample code, even if they have been
#  advised of the possibility of such damages.
#
#  Status:     Version 1 Release 1 Modification 0
#
#******************************************************************************
MAKE_EXE = 1
!INCLUDE frnocomk.inc

LIBS = $(LIBDIR)\FRNOFI.LIB   \
       $(LIBDIR)\FRNOFO.LIB   \
       $(LIBDIR)\FRNOFI2.LIB

OBJS = $(OBJDIR)\FRNOEXWF.OBJ

DEF  = $(SRCDIR)\FRNOEXWF.DEF

#Ŀ
# Dependencies                                                        
#

FOLDERMGR_DEP = {$(INCLUDES);}FRNP.H         {$(INCLUDES);}FRNPCAPI.H  \
                {$(INCLUDES);}FRNPERR.H      {$(INCLUDES);}FRNPFI.H    \
                {$(INCLUDES);}FRNPTYPE.H     {$(INCLUDES);}FRNPFI2.H   \
                {$(INCLUDES);}FRNPLIBC.H     {$(INCLUDES);}FRNPLCLI.H  \
                {$(INCLUDES);}FRNPFO.H

FRNOEXWF_DEP  = {$(INCLUDES);}FRNOEXWF.H      $(FOLDERMGR_DEP)

#Ŀ
# Main Target Rule                                                    
#
ALL         : $(BINDIR)\FRNOEXWF.EXE

#Ŀ
# Rules                                                               
#
$(BINDIR)\FRNOEXWF.EXE   :  $(OBJS) $(SRCDIR)\FRNOEXWF.DEF FRNOEXWF.MAK
        $(DO_LINK)

$(OBJDIR)\FRNOEXWF.OBJ : $(SRCDIR)\FRNOEXWF.C $(FRNOEXWF_DEP)
