/* *************************************************************/
/*                                                             */
/* MODULE: frnoue.h                 VisualInfo                 */
/*                                                             */
/*     5697-250, 5621-326                                      */
/*     (C) Copyright IBM Corp. 1993,1995.                      */
/*     All Rights Reserved.                                    */
/*                                                             */
/*     US Government Users Restricted Rights                   */
/*     - Use, duplication or disclosure                        */
/*       restricted by GSA ADP Schedule Con-                   */
/*       tract with IBM Corp.                                  */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: May 1993                                              */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnoue.h - this include is used by             */
/*                          or DAPS components that access     */
/*                           the IS/2 User Exits               */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - additional information may be provided here              */
/*                                                             */
/* *************************************************************/

#ifdef __cplusplus
   extern "C" {
#endif

#ifndef FRNOUE
#define FRNOUE 1

/* *********************************************************** */
/* Defines                                                     */
/* *********************************************************** */

#define SCAN_USER_EXIT     1
#define VIEW_USER_EXIT     2
#define FRNOWFDP_USER_EXIT 3

// PM Message define for Scan Manager services
#define SM_CLOSE                       14000+WM_USER+1
#define SM_VIEW_MENU_ITEM_SELECTED     14000+WM_USER+3

// Defines for view manager
#define DM_VIEW            0
#define WM_DM_CLOSE        15000 + WM_USER + 11
#define WM_DM_DELETE       15000 + WM_USER + 60
#define IDS_IMAGE          1000 + 7

/* *********************************************************** */
/* Function Prototypes                                         */
/* *********************************************************** */

#endif

#ifdef __cplusplus
   }
#endif

